<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for leavepay in employee package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  leavepay module in employee package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Leavepay',
    'names'         => 'Leavepays',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Leavepays',
        'sub'   => 'Leavepays',
        'list'  => 'List of leavepays',
        'edit'  => 'Edit leavepay',
        'create'    => 'Create new leavepay'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'type'                => ['Execute','Expat','National'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'company_id'                 => 'Please enter company id',
        'department_id'              => 'Please enter department id',
        'gang_id'                    => 'Please enter gang id',
        'employee_id'                => 'Please enter employee id',
        'type'                       => 'Please select type',
        'doj'                        => 'Please select doj',
        'resigning'                  => 'Please select resigning',
        'eligible_leave'             => 'Please enter eligible leave',
        'basic_rate'                 => 'Please enter basic rate',
        'from'                       => 'Please select from',
        'to'                         => 'Please select to',
        'total_leave'                => 'Please enter total leave',
        'total_hours'                => 'Please enter total hours',
        'allowance'                  => 'Please enter allowance',
        'gross_wage'                 => 'Please enter gross wage',
        'leave_tax'                  => 'Please enter leave tax',
        'fortnight_tax'              => 'Please enter fortnight tax',
        'net_pay'                    => 'Please enter net pay',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'company_id'                 => 'Company id',
        'department_id'              => 'Department id',
        'gang_id'                    => 'Gang id',
        'employee_id'                => 'Employee id',
        'type'                       => 'Type',
        'doj'                        => 'Doj',
        'resigning'                  => 'Resigning',
        'eligible_leave'             => 'Eligible leave',
        'basic_rate'                 => 'Basic rate',
        'from'                       => 'From',
        'to'                         => 'To',
        'total_leave'                => 'Total leave',
        'total_hours'                => 'Total hours',
        'allowance'                  => 'Allowance',
        'gross_wage'                 => 'Gross wage',
        'leave_tax'                  => 'Leave tax',
        'fortnight_tax'              => 'Fortnight tax',
        'net_pay'                    => 'Net pay',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'company_id'                 => ['name' => 'Company id', 'data-column' => 1, 'checked'],
        'department_id'              => ['name' => 'Department id', 'data-column' => 2, 'checked'],
        'gang_id'                    => ['name' => 'Gang id', 'data-column' => 3, 'checked'],
        'employee_id'                => ['name' => 'Employee id', 'data-column' => 4, 'checked'],
        'type'                       => ['name' => 'Type', 'data-column' => 5, 'checked'],
        'from'                       => ['name' => 'From', 'data-column' => 6, 'checked'],
        'to'                         => ['name' => 'To', 'data-column' => 7, 'checked'],
        'total_leave'                => ['name' => 'Total leave', 'data-column' => 8, 'checked'],
        'allowance'                  => ['name' => 'Allowance', 'data-column' => 9, 'checked'],
        'net_pay'                    => ['name' => 'Net pay', 'data-column' => 10, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Leavepays',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
