<?php

// API routes  for leavepay
Route::prefix('{guard}/employee')->group(function () {
    Route::get('leavepay/form/{element}', 'LeavepayAPIController@form');
    Route::resource('leavepay', 'LeavepayAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for employees
            Route::prefix('{guard}/employee')->group(function () {
                Route::get('leavepay/form/{element}', 'LeavepayAPIController@form');
                Route::apiResource('leavepay', 'LeavepayAPIController');
            });
            // Public routes for employees
            Route::get('employee/Leavepay', 'LeavepayPublicController@getLeavepay');
        }
    );
}

