<?php

// web routes  for leavepay
Route::prefix('{guard}/employee')->group(function () {
    Route::resource('leavepay', 'LeavepayResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'LeavepayResourceController');
            });
            // Public routes for pages
            Route::get('employees/', 'LeavepayPublicController@index');
            Route::get('employees/{slug?}', 'LeavepayPublicController@show');
        }
    );
}

