<?php

namespace Survey\Employee\Repositories\Eloquent;

use Survey\Employee\Interfaces\LeavepayRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class LeavepayRepository extends BaseRepository implements LeavepayRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('survey.employee.leavepay.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('survey.employee.leavepay.model.model');
    }
}
